## libcomplearn 0.9.7

=== examples/dltest/Makefile ===
ifeq ($(wildcard /usr/include/complearn-1.0),)
INCDIR=../../src
else
INCDIR=/usr/include/complearn-1.0
INC2=$(INCDIR)
endif
ifeq ($(wildcard /usr/lib/libcomplearn.so.?),)
CLLIBPATH=../../src/.libs/libcomplearn.so
else
CLLIBPATH=$(wildcard /usr/lib/libcomplearn.so.?)
endif

CFLAGS=-I$(INCDIR)

all: libart.so.1.0.1

%.o: %.c
	gcc -fPIC -g -c -Wall $< $(CFLAGS)

libart.so.1.0.1: libart.o
	gcc -shared -Wl,-soname,libart.so.1 -o libart.so.1.0.1 libart.o $(CLLIBPATH) -lc -lm

install:
	echo "(no installation)"

distclean: clean


clean:
	rm libart.o libart.so.*

distdir:
	echo "(no distdir)"

## libcomplearn 1.1.7

=== debian/changelog ===
libcomplearn (1.1.7-1) unstable; urgency=low

  * New upstream version
    Closes: #603543, #588245
  * Moved package to Debian Science Maintenance and added
    myself as Uploader
  * Fixed watch file
    Closes: #586066
  * Standards-Version: 3.9.1 (no changes needed)
  * Debhelper 7 (debian/rules: s/dh_clean -k/dh_prep/)
  * Source Format 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 08:56:58 +0100

libcomplearn (1.1.6-1) unstable; urgency=low

  * New upstream release.  (Closes: #555083)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sun, 10 Jan 2010 16:36:33 -0800

libcomplearn (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 26 May 2008 19:01:54 -0700

libcomplearn (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sun, 04 May 2008 22:28:05 -0700

libcomplearn (1.1.3-1) unstable; urgency=low

  * Added libcomplearn1-dbg package.

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 31 Mar 2008 14:47:08 -0700

libcomplearn (1.1.2-1) unstable; urgency=low

  * New upstream release, fixing packaging bug in certain builds.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 03 Mar 2008 16:49:12 -0800

libcomplearn (1.1.1-4) unstable; urgency=low

  * Removed Conflicts: because they are too old to be very useful anymore.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 18 Feb 2008 10:37:13 -0800

libcomplearn (1.1.1-3) unstable; urgency=low

  * Added libgomp1 to Depends.  (Closes: #464083)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 04 Feb 2008 19:38:38 -0800

libcomplearn (1.1.1-2) unstable; urgency=low

  * Updated XS-Vcs tags.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 01 Feb 2008 15:48:20 -0800

libcomplearn (1.1.1-1) unstable; urgency=low

  * New upstream release.  Fixes a bug in NCD matrix calculation.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sun, 27 Jan 2008 10:50:41 -0800

libcomplearn (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Thu, 10 Jan 2008 21:08:00 -0800

libcomplearn (1.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Thu, 10 Jan 2008 19:28:49 -0800

libcomplearn (1.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 28 Dec 2007 20:47:22 -0800

libcomplearn (1.0.7-1) unstable; urgency=low

  * New upstream release.

  * Bumped Standards-Version to 3.7.3.

  * Added doxygen to Build-Depends for automatic documentation.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Wed, 05 Dec 2007 09:32:18 -0800

libcomplearn (1.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 26 Nov 2007 09:54:11 -0800

libcomplearn (1.0.5-2) unstable; urgency=low

  * Updated Descriptions and new Homepage: field.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Tue, 13 Nov 2007 10:36:11 -0800

libcomplearn (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Converted from CDBS to debhelper to allow two library versions: one with
    libgomp (OpenMP) and one without.  This means there are now new packages:
    libcomplearn-gomp-dev, libcomplearn1-headers, and libcomplearn-gomp1.
  * Improved package descriptions.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Tue, 23 Oct 2007 11:59:07 -0700

libcomplearn (1.0.3-2) unstable; urgency=low

  * Removed check from Build-Depends.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 17 Oct 2007 11:30:45 -0700

libcomplearn (1.0.3-1) unstable; urgency=low

  * New upstream version.
  * Split apart complearn compression modules ppmdx, lzmax, and libart.
  * Added OpenMP (multi-core) support.
  * Added several *-dev packages to Depends. (Closes: #427738)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sat, 29 Sep 2007 17:34:39 -0700

libcomplearn (1.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Tue, 24 Jul 2007 17:33:14 +0200

libcomplearn (1.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sat, 21 Jul 2007 21:24:38 +0200

libcomplearn (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * Russian translation added. Thanks, Yuri!  (Closes: #430394)
  * Fixed implicit pointer bug. (Closes: #427606)
  * Switched to libcomplearn1 instead of libcomplearn0 finally.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Tue, 05 Jun 2007 10:18:08 +0200

libcomplearn (0.9.9-1) unstable; urgency=low

  * New upstream version.
  * Removed 64-bit Archs for certain compression modules. (Closes: #419298)
  * Made distclean target work better. (Closes: #424497)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Mon, 16 Apr 2007 17:38:14 +0200

libcomplearn (0.9.8-1) unstable; urgency=low

  * New upstream version.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Thu,  5 Apr 2007 14:06:12 +0200

libcomplearn (0.9.7-2) unstable; urgency=low

  * Modified libcomplearn-dev to depend on pkg-config.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Sat,  9 Dec 2006 11:01:03 +0100

libcomplearn (0.9.7-1) unstable; urgency=low

  * New upstream release; fixes broken compressor-listing as well as
    broken command-line option logic and broken binary matrix format in
    Windows.  Also rewrote CompAdaptor, now known as CompressionBase and
    CompressionBaseAdaptor.  Made a new better dynamic shared object module
    interface, and new parameter setting command line option -P.
  * Changed a few library symbol names to make them more consistent.
  * Added several new compressors including bzip2x, ppmdx, and lzmax.
  * Fixed broken maketree -T option to read text-format distance matrix.
  * Updated configure.ac to check for new nanohttp lib function.
    This packaging bug was preventing Google (ncd -g) search from working.
  * Many small packaging fixes, including renaming -dev packages


=== debian/control ===
Source: libcomplearn
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Rudi Cilibrasi <cilibrar@debian.org>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), autotools-dev, libtool, pkg-config, zlib1g-dev, libbz2-dev,
 libbz2-1.0, libgsl0-dev, libxml2-dev, libglib2.0-dev, doxygen
Standards-Version: 3.9.1
Section: libs
Homepage: http://complearn.org/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/libcomplearn/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/R/libcomplearn/trunk/

Package: libcomplearn-gomp-dev
Section: libdevel
Architecture: any
Depends: libcomplearn-gomp1 (= ${binary:Version}), libcomplearn1-headers (= ${binary:Version}), libgsl0-dev, pkg-config, libxml2-dev, libglib2.0-dev, ${misc:Depends}
Description: CompLearn library, OpenMP version development files
 complearn is a multi-core library for parameter-free universal learning.
 Using this library, developers can access a wealth of powerful and general
 techniques in artificial intelligence and pattern recognition including
 genomics, search term clustering, language evolution, music recognition,
 and much more
 .

Package: libcomplearn-dev
Section: libdevel
Architecture: any
Depends: libcomplearn1 (= ${binary:Version}), libcomplearn1-headers (= ${binary:Version}), libgsl0-dev, pkg-config, libxml2-dev, libglib2.0-dev, ${misc:Depends}
Description: machine-learning through data compression development files
 complearn is a library for parameter-free universal learning.  Using this
 library, developers can access a wealth of powerful and general techniques
 in artificial intelligence and pattern recognition including fields
 such as genomics, language evolution, music recognition, and much more
 .

Package: libcomplearn1-headers
Section: libdevel
Architecture: any
Depends: libgsl0-dev, libxml2-dev, libglib2.0-dev, ${misc:Depends}
Description: machine-learning through data compression header files
 complearn is a library for parameter-free universal learning.  Using these
 headers, developers can access a wealth of powerful and general techniques
 in machine learning and pattern recognition including genomics, optical
 character recognition, fuzzy matching, music recognition, and much more
 .

Package: libcomplearn1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: machine-learning with data compression core library runtime files
 complearn makes artificial intelligence easy.  By using the powerful
 statistical analysis already built within data compression programs,
 this library delivers high-quality results with very low effort
 .

Package: libcomplearn-gomp1
Section: libs
Architecture: any
Depends: libgomp1, ${shlibs:Depends}, ${misc:Depends}
Description: machine-learning core library runtime files with OpenMP (libgomp)
 complearn makes artificial intelligence easy and fast on multi-core
 microprocessors.  By using the powerful statistical analysis already built
 within data compression programs, this library delivers high-quality results
 with very low effort
 .

Package: complearn-tools
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: complearn machine-learning command-line utilities
 complearn makes artificial intelligence easy.  By using the powerful
 statistical analysis already built within data compression programs,
 this library delivers high-quality results with very low effort.  This
 package includes the popular ncd and any(de)compress commands as well as many
 other convenient utilities
 .

Package: libcomplearn1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcomplearn1
Description: debugging complearn library for development
 Debug symbols for this compression based machine learning library.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for libcomplearn

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	mkdir debian/libcomplearn
	mkdir debian/libcomplearn-gomp
	cd debian/libcomplearn && ../../configure --enable-openmp=no --prefix=/usr && $(MAKE)
	cd debian/libcomplearn-gomp && ../../configure --enable-openmp=yes --prefix=/usr && $(MAKE)
	touch build-stamp

get-orig-source:
	uscan

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf debian/libcomplearn debian/libcomplearn-gomp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd debian/libcomplearn && $(MAKE) DESTDIR=`pwd` install install-man
	cd debian/libcomplearn-gomp && $(MAKE) DESTDIR=`pwd` install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip --dbg-package=libcomplearn1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://complearn.org/download.html \
  downloads/libcomplearn-([\d\.]*)\.tar\.gz
